aboutsummaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorlcapriotti <lcapriotti@svn>2010-06-08 09:32:08 +0000
committerlcapriotti <lcapriotti@svn>2010-06-08 09:32:08 +0000
commit6f18e27426285df4ec16c1c07e7d47aab2ce9031 (patch)
tree15a6c5ac4e2397d061ee329e89948f3265b6aa94 /tools
parentdd797e87d226f720ece9119c0621a3db3f1fdbb6 (diff)
d-i installer on lucid is not properly synced with debian, a patch is needed
git-svn-id: https://xbmc.svn.sourceforge.net/svnroot/xbmc/trunk@30950 568bbfeb-2a22-0410-94d2-cc84cf5bfa90
Diffstat (limited to 'tools')
-rwxr-xr-xtools/XBMCLive/SDK/buildDEBs/build-installer.sh.lucid-variant18
-rwxr-xr-xtools/XBMCLive/SDK/copyFiles-installer.sh.lucid-variant8
2 files changed, 17 insertions, 9 deletions
diff --git a/tools/XBMCLive/SDK/buildDEBs/build-installer.sh.lucid-variant b/tools/XBMCLive/SDK/buildDEBs/build-installer.sh.lucid-variant
index 0596facc08..c77d4cc300 100755
--- a/tools/XBMCLive/SDK/buildDEBs/build-installer.sh.lucid-variant
+++ b/tools/XBMCLive/SDK/buildDEBs/build-installer.sh.lucid-variant
@@ -26,18 +26,26 @@ if ! ls xbmclive-installhelpers_*.udeb > /dev/null 2>&1 ; then
cd $THISDIR
fi
-# Retrieve live_installer from Ubuntu's repositories
-if ! ls live-installer*.udeb > /dev/null 2>&1 ; then
- echo "Retrieving live_installer udebs..."
+# Rationale: live-base and live-installer have not been synced properly on Lucid (live-base lagging behind), so we need to have a workaround
+# Retrieve live_installer sources from Ubuntu's repositories
+if ! ls live-installer*.deb > /dev/null 2>&1 ; then
+ echo "Retrieving live_installer sources..."
- #repoURL="http://ftp.debian.org/debian/pool/main/l/live-installer/"
repoURL="http://archive.ubuntu.com/ubuntu/pool/main/l/live-installer/"
- latestPackage=$(curl -x "" -s -f $repoURL | grep -o 'live[^"]*_i386.udeb' | sort -r -k2 -t_ -n | head -n 1)
+ latestPackage=$(curl -x "" -s -f $repoURL | grep -o 'live[^"]*.tar.gz' | sort -r -k2 -t_ -n | head -n 1)
echo " - Latest package: $latestPackage"
wget -q "$repoURL$latestPackage"
if [ "$?" -ne "0" ] || [ ! -f $latestPackage ] ; then
echo "Needed package (1) not found, exiting..."
exit 1
fi
+ tar xvf $latestPackage
+
+ # Patch to remove unhandled waypoint
+ sed -i -e '/final_apt_preferences/s/^waypoint/#waypoint/' live-installer*/debian/live-installer.postinst
+
+ cd live-installer*
+ dpkg-buildpackage -rfakeroot -b -uc -us
+ cd ..
fi
diff --git a/tools/XBMCLive/SDK/copyFiles-installer.sh.lucid-variant b/tools/XBMCLive/SDK/copyFiles-installer.sh.lucid-variant
index 10680c933b..c7be2fd8be 100755
--- a/tools/XBMCLive/SDK/copyFiles-installer.sh.lucid-variant
+++ b/tools/XBMCLive/SDK/copyFiles-installer.sh.lucid-variant
@@ -20,14 +20,14 @@
mkdir -p $WORKPATH/buildLive/Files/binary_local-udebs &> /dev/null
-if ! ls $WORKPATH/buildDEBs/live-installer*.* > /dev/null 2>&1; then
+if ! ls $WORKPATH/buildDEBs/live-installer*.udeb > /dev/null 2>&1; then
echo "Files missing (live-installer), exiting..."
exit 1
fi
-cp $WORKPATH/buildDEBs/live-installer*.* $WORKPATH/buildLive/Files/binary_local-udebs
+cp $WORKPATH/buildDEBs/live-installer*.udeb $WORKPATH/buildLive/Files/binary_local-udebs
-if ! ls $WORKPATH/buildDEBs/xbmclive-installhelpers*.* > /dev/null 2>&1; then
+if ! ls $WORKPATH/buildDEBs/xbmclive-installhelpers*.udeb > /dev/null 2>&1; then
echo "Files missing (xbmclive-installhelpers), exiting..."
exit 1
fi
-cp $WORKPATH/buildDEBs/xbmclive-installhelpers*.* $WORKPATH/buildLive/Files/binary_local-udebs
+cp $WORKPATH/buildDEBs/xbmclive-installhelpers*.udeb $WORKPATH/buildLive/Files/binary_local-udebs